### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions | Protected Attributes
ForwardSwapQuote Class Reference

Quote for a forward starting swap. More...

`#include <ql/quotes/forwardswapquote.hpp>`

Inheritance diagram for ForwardSwapQuote:
[legend]

List of all members.

## Public Member Functions

| ForwardSwapQuote (const boost::shared_ptr< SwapIndex > &swapIndex, const Handle< Quote > &spread, const Period &fwdStart)
const Date & | valueDate () const
const Date & | startDate () const
const Date & | fixingDate () const
Quote interface
Real | value () const
| returns the current value
bool | isValid () const
| returns true if the Quote holds a valid value
Observer interface
void | update ()

## Protected Member Functions

void | initializeDates ()
void | performCalculations () const

## Protected Attributes

boost::shared_ptr< SwapIndex > | swapIndex_
Handle< Quote > | spread_
Period | fwdStart_
Date | evaluationDate_
Date | valueDate_
Date | startDate_
Date | fixingDate_
boost::shared_ptr< VanillaSwap > | swap_
Rate | result_

## Detailed Description

Quote for a forward starting swap.

## Member Function Documentation

void update | ( |  | ) | `[virtual]`

This method must be implemented in derived classes. An instance of Observer does not call this method directly: instead, it will be called by the observables the instance registered with when they need to notify any changes.

Reimplemented from LazyObject.

void performCalculations | ( |  | ) | const`[protected, virtual]`

This method must implement any calculations which must be (re)done in order to calculate the desired results.

Implements LazyObject.